<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: team.php
| Author: jikaka
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INFUSIONS."teams_structure/infusion_db.php";

if (file_exists(INFUSIONS."teams_structure/locale/".$settings['locale'].".php")) {
	include INFUSIONS."teams_structure/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."teams_structure/locale/English.php";
} 
  $result = dbquery(
	"SELECT ta.*, ta.team_id, ta.team_name, tac.team_cat_id, tac.team_cat_name FROM ".DB_TEAMSTR." ta
	LEFT JOIN ".DB_TEAM_CAT." tac ON ta.team_cat=tac.team_cat_id 
  WHERE team_none='1' AND team_id='".$_GET['team_id']."'");
	$data = dbarray($result);
opentable($locale['team_211a']);
echo "<table align='center' cellpadding='0' cellspacing='0' width='100%'>";
if ($data['team_photo']<>"") {
echo "<tr><td align='center'>";
echo "<img src='".IMAGES."teamstr/".$data['team_photo']."'>";
} else {
echo "<tr><td align='center'>";
echo "<img src='".IMAGES."teamstr/player.png'>";
}
echo "<tr><td align='center'><br/>";
echo "<font size='3'><b>".$data['team_surname']." ".$data['team_name']."</b></font>";
echo "</td></tr>";
echo "<tr><td align='center'>";
echo "<font size='5'><b>".$data['team_number']."</b></font>";
echo "</td></tr></table>";
echo "<br/>";
echo "<table align='center' cellpadding='0' cellspacing='0' width='100%' class='tbl' border='0'><tr>";
echo "<td class='tbl2' align='center' width='20%'><b>".$locale['team_204']."</b></td>";
echo "<td class='tbl2' align='center' width='20%'><b>".$locale['team_207']."</b></td>";
echo "<td class='tbl2' align='center' width='20%'><b>".$locale['team_210']."</b></td>";
echo "<td class='tbl2' align='center' width='20%'><b>".$locale['team_208']."</b></td>";
echo "<td class='tbl2' align='center' width='20%'><b>".$locale['team_209']."</b></td>";
echo "</tr><tr>";
echo "<td class='tbl1' align='center'>".$data['team_line']."</td>";
echo "<td class='tbl1' align='center'>".$data['team_growth']."</td>";
echo "<td class='tbl1' align='center'>".$data['team_weight']."</td>";
echo "<td class='tbl1' align='center'>".$data['team_hometown']."</td>";
echo "<td class='tbl1' align='center'> ".$data['team_birthday']."</td>";
echo "</tr><tr>";
echo "<td height='10' colspan='5'></td>";
echo "</tr><tr>";
echo "<td class='tbl2' colspan='5' align='center'><b>".$locale['team_211']."</b></td>";
echo "</tr><tr>";
echo "<td colspan='5'>".$data['team_about']."</td>";
echo "</tr><tr>";
echo "<td height='30' colspan='5'></td>";
echo "</tr></table>";
echo "<center><b><a href='".INFUSIONS."teams_structure/teamstr.php?cat_id=".$data['team_cat']."' class='side'>".$locale['team_583']."</a></b></center>";
closetable();

require_once THEMES."templates/footer.php";
?>
