<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: team_board.php
| Author: jikaka
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once INFUSIONS."teams_structure/infusion_db.php";
if (!checkrights("FLP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }
if (file_exists(INFUSIONS."teams_structure/locale/".$settings['locale'].".php")) {
	include INFUSIONS."teams_structure/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."teams_structure/locale/English.php";
}

opentable ($locale['team_442']);
require_once INFUSIONS."teams_structure/inc/panel_tab.php";
closetable();

	if (isset($_GET['action']) && $_GET['action'] == "refresh") {
		$i = 1;
		$result = dbquery("SELECT * FROM ".DB_TEAM_BOARD." ORDER BY team_board_order");
		while ($data = dbarray($result)) {
			$result2 = dbquery("UPDATE ".DB_TEAM_BOARD." SET team_board_order='$i' WHERE team_board_id='".$data['team_board_id']."'");
			$i++;
		}
		redirect(FUSION_SELF.$aidlink);
	} elseif (isset($_POST['cancel'])) {
		redirect(FUSION_SELF.$aidlink);
	} elseif ((isset($_GET['action']) && $_GET['action'] == "moveup") && (isset($_GET['team_board_id']) && isnum($_GET['team_board_id']))) {
		$data = dbarray(dbquery("SELECT * FROM ".DB_TEAM_BOARD." WHERE team_board_order='".$_GET['order']."'"));
		$result = dbquery("UPDATE ".DB_TEAM_BOARD." SET team_board_order=team_board_order+1 WHERE team_board_id='".$data['team_board_id']."'");
		$result = dbquery("UPDATE ".DB_TEAM_BOARD." SET team_board_order=team_board_order-1 WHERE team_board_id='".$_GET['team_board_id']."'");
		redirect(FUSION_SELF.$aidlink);
	} elseif ((isset($_GET['action']) && $_GET['action'] == "movedown") && (isset($_GET['team_board_id']) && isnum($_GET['team_board_id']))) {
		$data = dbarray(dbquery("SELECT * FROM ".DB_TEAM_BOARD." WHERE team_board_order='".$_GET['order']."'"));
		$result = dbquery("UPDATE ".DB_TEAM_BOARD." SET team_board_order=team_board_order-1 WHERE team_board_id='".$data['team_board_id']."'");
		$result = dbquery("UPDATE ".DB_TEAM_BOARD." SET team_board_order=team_board_order+1 WHERE team_board_id='".$_GET['team_board_id']."'");
		redirect(FUSION_SELF.$aidlink);
	} elseif ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['team_board_id']) && isnum($_GET['team_board_id']))) {
		$data = dbarray(dbquery("SELECT * FROM ".DB_TEAM_BOARD." WHERE team_board_id='".$_GET['team_board_id']."'"));
		$result = dbquery("UPDATE ".DB_TEAM_BOARD." SET team_board_order=team_board_order-1 WHERE team_board_order>'".$data['order']."'");
		$result = dbquery("DELETE FROM ".DB_TEAM_BOARD." WHERE team_board_id='".$_GET['team_board_id']."'");
		redirect(FUSION_SELF.$aidlink);
	} elseif (isset($_POST['team_board_submit'])) {
		if ($_POST['team_board_name'] != ""  && $_POST['team_board_points'] != "" && $_POST['team_board_games'] != "") {
			$team_board_order = trim(stripinput($_POST['team_board_order']));
			$team_board_name = trim(stripinput($_POST['team_board_name']));
			$team_board_games = trim(stripinput($_POST['team_board_games']));
			$team_board_wins = trim(stripinput($_POST['team_board_wins']));
			$team_board_ties = trim(stripinput($_POST['team_board_ties']));
			$team_board_losses = trim(stripinput($_POST['team_board_losses']));
			$team_board_gs = trim(stripinput($_POST['team_board_gs']));
			$team_board_ga = trim(stripinput($_POST['team_board_ga']));
			$team_board_points = trim(stripinput($_POST['team_board_points']));
			$result = dbquery("SELECT * FROM ".DB_TEAM_BOARD." WHERE team_board_id='".$data['team_board_id']."'");
			if ($team_board_id=="") {
				$result = dbquery("SELECT MAX(team_board_id) AS last_id FROM ".DB_TEAM_BOARD."");
				if (dbrows($result)) {$data = dbarray($result);$team_board_id = $data['last_id']+1;}
			}
			if ($team_board_name != ""  && $team_board_points != "" && $_POST['team_board_games'] != "") {
				if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['team_board_id']) && isnum($_GET['team_board_id']))) {
					$result = dbquery("UPDATE ".DB_TEAM_BOARD." SET team_board_name='$team_board_name', team_board_games='$team_board_games', team_board_wins='$team_board_wins', team_board_ties='$team_board_ties', team_board_losses='$team_board_losses', team_board_gs='$team_board_gs', team_board_ga='$team_board_ga', team_board_points='$team_board_points' WHERE team_board_id='".$_GET['team_board_id']."'");
				} else {
					if(!$team_board_order) $team_board_order=dbresult(dbquery("SELECT MAX(team_board_order) FROM ".DB_TEAM_BOARD.""),0)+1;
					$result = dbquery("UPDATE ".DB_TEAM_BOARD." SET team_board_order=team_board_order+1 WHERE team_board_order>='".$_GET['order']."'");
					$result = dbquery("INSERT INTO ".DB_TEAM_BOARD." VALUES('$team_board_id', '$team_board_order', '$team_board_name', '$team_board_games', '$team_board_wins', '$team_board_ties', '$team_board_losses', '$team_board_gs', '$team_board_ga', '$team_board_points')");
				}
			}
			redirect(FUSION_SELF.$aidlink);
		} else {
			opentable($locale['team_600']);
			echo "<div align='center'><b>".$locale['team_557']."</b><br />\n<span class='small'>";
			echo $locale['team_558']."</span></div>\n";
			closetable();
		}
	} else {
		if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['team_board_id']) && isnum($_GET['team_board_id']))) {
			$result = dbquery("SELECT * FROM ".DB_TEAM_BOARD." WHERE team_board_id='".$_GET['team_board_id']."'");
			if (dbrows($result)) {
				$data = dbarray($result);
				$team_board_order = $data['team_board_order'];
				$team_board_name = $data['team_board_name'];
				$team_board_games = $data['team_board_games'];
				$team_board_wins = $data['team_board_wins'];
				$team_board_ties = $data['team_board_ties'];
				$team_board_losses = $data['team_board_losses'];
				$team_board_gs = $data['team_board_gs'];
				$team_board_ga = $data['team_board_ga'];
				$team_board_points = $data['team_board_points'];
				$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;team_board_id=".$data['team_board_id'];
				opentable($locale['team_613']);
			} else { $formaction = FUSION_SELF.$aidlink; }
		} else {
			$team_board_order = "";
			$team_board_name = "";
			$team_board_games = "";
			$team_board_wins = "";
			$team_board_ties = "";
			$team_board_losses = "";
			$team_board_gs = "";
			$team_board_ga = "";
			$team_board_points = "";
			$formaction = FUSION_SELF.$aidlink;
			opentable($locale['team_600']);
		}
		echo "<form name='inputform' method='post' action='$formaction' enctype='multipart/form-data'>\n";
		echo "<table align='center' cellpadding='0' cellspacing='0'><tr>\n";
		echo "<td class='tbl'>".$locale['team_601']."</td>\n";
		echo "<td class='tbl'><input type='text' name='team_board_name' value='$team_board_name' class='textbox' style='width:150px' /></td>\n";
		echo "</tr><tr>\n";
		echo "<td class='tbl'>".$locale['team_617']."</td>\n";
		echo "<td class='tbl'><input type='text' name='team_board_games' value='$team_board_games' class='textbox' style='width:50px' maxlength='3' /></td>\n";
		echo "</tr><tr>\n";
		echo "<td class='tbl'>".$locale['team_621']."</td>\n";
		echo "<td class='tbl'><input type='text' name='team_board_wins' value='$team_board_wins' class='textbox' style='width:50px' maxlength='3' /></td>\n";
		echo "</tr><tr>\n";
		echo "<td class='tbl'>".$locale['team_623']."</td>\n";
		echo "<td class='tbl'><input type='text' name='team_board_ties' value='$team_board_ties' class='textbox' style='width:50px' maxlength='3' /></td>\n";
		echo "</tr><tr>\n";
		echo "<td class='tbl'>".$locale['team_625']."</td>\n";
		echo "<td class='tbl'><input type='text' name='team_board_losses' value='$team_board_losses' class='textbox' style='width:50px' maxlength='3' /></td>\n";
		echo "</tr><tr>\n";
		echo "<td class='tbl'>".$locale['team_626']."</td>\n";
		echo "<td class='tbl'><input type='text' name='team_board_gs' value='$team_board_gs' class='textbox' style='width:50px' maxlength='3' /></td>\n";
		echo "</tr><tr>\n";
		echo "<td class='tbl'>".$locale['team_627']."</td>\n";
		echo "<td class='tbl'><input type='text' name='team_board_ga' value='$team_board_ga' class='textbox' style='width:50px' maxlength='3' /></td>\n";
		echo "</tr><tr>\n";
		echo "<td class='tbl'>".$locale['team_602']."</td>\n";
		echo "<td class='tbl'><input type='text' name='team_board_points' value='$team_board_points' class='textbox' style='width:50px' maxlength='3' /></td>\n";
		echo "</tr><tr>\n";
		echo "<td class='tbl'>".$locale['team_603']."</td>\n";
		echo "<td class='tbl'><input type='text' name='team_board_order' value='$team_board_order' class='textbox' style='width:50px' maxlength='3' /></td>\n";
		echo "</tr></table>\n";
		echo "<table align='center' cellpadding='0' cellspacing='0'><tr>\n";
		echo "<td class='tbl'>&nbsp;</td>\n";
		echo "<td colspan='2' align='center' class='tbl'><br /><input type='submit' name='team_board_submit' value='".$locale['team_605']."' class='button' />&nbsp;\n";
		if (isset($_GET['action']) && $_GET['action'] == "edit") {
			echo "<input type='submit' name='cancel' value='".$locale['team_606']."' class='button' />\n";
		}
		echo "</td></tr></table></form>\n";
		closetable();
	}

	opentable($locale['team_104']);	
	$result = dbquery("SELECT * FROM ".DB_TEAM_BOARD."");
	$rows = dbrows($result);
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	if ($rows != 0) {
		if (iADMIN) {echo "<center>[<a href='".FUSION_SELF.$aidlink."&amp;action=refresh'>".$locale['team_612']."</a>]</center><br />";}
		echo "<table cellpadding='0' cellspacing='0' width='80%' class='tbl-border center'><tr>\n";
		echo "<td align='center' class='tbl2' width='5%'>&nbsp;</td>\n";
		echo "<td align='center' class='tbl2' width='17%'>&nbsp;</td>\n";
		echo "<td align='center' class='tbl2' width='4%'><b>".$locale['team_632']."</b></td>\n";
		echo "<td align='center' class='tbl2' width='4%'><b>".$locale['team_633']."</b></td>\n";
		echo "<td align='center' class='tbl2' width='4%'><b>".$locale['team_634']."</b></td>\n";
		echo "<td align='center' class='tbl2' width='4%'><b>".$locale['team_635']."</b></td>\n";
		echo "<td align='center' class='tbl2' width='4%'><b>".$locale['team_636']."</b></td>\n";
		echo "<td align='center' class='tbl2' width='4%'><b>".$locale['team_637']."</b></td>\n";
		echo "<td align='center' class='tbl2' width='4%'><b>".$locale['team_631']."</b></td>\n";
		echo "<td align='right' class='tbl2' width=''><b>".$locale['team_442']."</b></td>\n";
		echo "</tr></table><br />\n";
		$i = 1;
		$result = dbquery("SELECT * FROM ".DB_TEAM_BOARD." ORDER BY team_board_order LIMIT ".$_GET['rowstart'].",20");
		$numrows = dbrows($result);		
		while ($data = dbarray($result)) {
			echo "<table cellpadding='0' cellspacing='0' width='80%' align='center'><tr>\n";
			echo "<td align='center' class='small' width='5%'><b>".$data['team_board_order']."</b></td>\n";
			echo "<td align='' class='small' width='17%'><b><span class='comment-name'>".$data['team_board_name']."</span></td>\n";
			echo "<td align='center' class='small' width='4%'><b>".$data['team_board_games']."</b></td>\n";
			echo "<td align='center' class='small' width='4%'><b>".$data['team_board_wins']."</b></td>\n";
			echo "<td align='center' class='small' width='4%'><b>".$data['team_board_ties']."</b></td>\n";
			echo "<td align='center' class='small' width='4%'><b>".$data['team_board_losses']."</b></td>\n";
			echo "<td align='center' class='small' width='4%'><b>".$data['team_board_gs']."</b></td>\n";
			echo "<td align='center' class='small' width='4%'><b>".$data['team_board_ga']."</b></td>\n";
			echo "<td align='center' class='small' width='4%'><b>".$data['team_board_points']."</b></td>\n";
			echo "<td align='right' width=''>\n";
			if ($rows != 1) {
				$up = $data['team_board_order'] - 1;
				$down = $data['team_board_order'] + 1;
				if ($data['team_board_order'] == 1) {
					echo "<a href='".FUSION_SELF.$aidlink."&amp;action=movedown&amp;order=$down&amp;team_board_id=".$data['team_board_id']."'><img src='".THEME."images/down.gif' alt='".$locale['team_610']."' title='".$locale['team_610']."' style='border:0px;'></a>&nbsp;";
				} elseif ($data['team_board_order'] < $rows) {
					echo "<a href='".FUSION_SELF.$aidlink."&amp;action=moveup&amp;order=$up&amp;team_board_id=".$data['team_board_id']."'><img src='".THEME."images/up.gif' alt='".$locale['team_611']."' title='".$locale['team_611']."' style='border:0px;'></a>&nbsp;";
					echo "<a href='".FUSION_SELF.$aidlink."&amp;action=movedown&amp;order=$down&amp;team_board_id=".$data['team_board_id']."'><img src='".THEME."images/down.gif' alt='".$locale['team_610']."' title='".$locale['team_610']."' style='border:0px;'></a>&nbsp;";
				} else {
					echo "<a href='".FUSION_SELF.$aidlink."&amp;action=moveup&amp;order=$up&amp;team_board_id=".$data['team_board_id']."'><img src='".THEME."images/up.gif' alt='".$locale['team_611']."' title='".$locale['team_611']."' style='border:0px;'></a>&nbsp;";
				}
			}
			echo "  [<a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;team_board_id=".$data['team_board_id']."'>".$locale['team_608']."</a>] | [<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;team_board_id=".$data['team_board_id']."' onClick='return DeleteMessage();'>".$locale['team_609']."</a>]";
			echo "</td></tr></table>\n";
			if ($i != $numrows) echo "<br />\n";
			$i++;
		}
	} else {
		echo "<table cellpadding='0' cellspacing='0' width='50%' class='tbl-border center'><tr>\n";
		echo "<td align='center' class='tbl1'>".$locale['team_604']."</td>\n";
		echo "</tr></table>\n";
		
	}
	require_once INFUSIONS."teams_structure/inc/copy.php";
	closetable();
	
	if ($rows != 0) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($_GET['rowstart'],20,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n";
	echo "<script>
	function DeleteMessage() {
		return confirm(\"".$locale['team_614']."\");
	}
	</script>\n";

require_once THEMES."templates/footer.php";
?>