<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: infusion.php
| Author: jikaka
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once INFUSIONS."teams_structure/infusion_db.php";

if (file_exists(INFUSIONS."teams_structure/locale/".$settings['locale'].".php")) {
	include INFUSIONS."teams_structure/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."teams_structure/locale/English.php";
}

$inf_title = "".$locale['team_100']."";
$inf_description = "".$locale['team_101']."";
$inf_version = "2.0";
$inf_developer = "jikaka";
$inf_email = "jikaka7@gmail.com";
$inf_weburl = "http://www.rusfusion.ru";

$inf_folder = "teams_structure";

$inf_newtable[1] = DB_TEAMSTR." (
	team_id SMALLINT(5) UNSIGNED NOT NULL auto_increment,
	team_cat SMALLINT(5) UNSIGNED NOT NULL,
	team_surname VARCHAR(100) NOT NULL DEFAULT '',
	team_name VARCHAR(100) NOT NULL DEFAULT '',
	team_line VARCHAR(100) NOT NULL DEFAULT '',
	team_number VARCHAR(10) NOT NULL DEFAULT '',
	team_growth VARCHAR(10) NOT NULL DEFAULT '',
	team_weight VARCHAR(10) NOT NULL DEFAULT '',
	team_hometown VARCHAR(100) NOT NULL DEFAULT '',
	team_birthday VARCHAR(100) NOT NULL DEFAULT '',
	team_about text NOT NULL,
	team_photo VARCHAR(200) NOT NULL DEFAULT 'player.png',
	team_none tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
	PRIMARY KEY (team_id)
) TYPE=MyISAM";

$inf_newtable[2] = DB_TEAM_CAT." (
	team_cat_id SMALLINT(5) UNSIGNED NOT NULL auto_increment,
	team_cat_name TEXT NOT NULL DEFAULT '',
	team_cat_city TEXT NOT NULL DEFAULT '',
	PRIMARY KEY (team_cat_id)
) TYPE=MyISAM";

$inf_newtable[3] = DB_TEAM_BOARD." (
	team_board_id SMALLINT(3) NOT NULL,
	team_board_order SMALLINT(2) NOT NULL,
	team_board_name VARCHAR(50) NOT NULL DEFAULT '',
	team_board_games SMALLINT(5) NOT NULL,
	team_board_wins SMALLINT(5) NOT NULL,
	team_board_ties SMALLINT(5) NOT NULL,
	team_board_losses SMALLINT(5) NOT NULL,
	team_board_gs SMALLINT(5) NOT NULL,
	team_board_ga SMALLINT(5) NOT NULL,
	team_board_points SMALLINT(5) NOT NULL,
	PRIMARY KEY (team_board_id)
) TYPE=MyISAM";
	
$inf_droptable[1] = DB_TEAMSTR;
$inf_droptable[2] = DB_TEAM_CAT;
$inf_droptable[3] = DB_TEAM_BOARD;

$inf_adminpanel[1] = array(
	"title" => $locale['team_100'],
	"image" => "teams_structure.gif",
	"panel" => "team_admin.php",
	"rights" => "FLP"
);

$inf_sitelink[1] = array(
	"title" => $locale['team_100'],
	"url" => "team_cat_list.php",
	"visibility" => ""
);

?>