<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: teams_structure_list.php
| Author: jikaka
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."teams_structure/infusion_db.php";
if (file_exists(INFUSIONS."teams_structure/locale/".$settings['locale'].".php")) {
	include INFUSIONS."teams_structure/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."teams_structure/locale/English.php";
}

opentable($locale['team_104']);
$result = dbquery("SELECT * FROM ".DB_TEAM_BOARD." ORDER BY team_board_points DESC LIMIT 0,20");
if (dbrows($result)) {
	echo "<table cellpadding='0' cellspacing='0' width='50%' align='center'><tr>\n";
	echo "<td align='left' width='59%'>&nbsp;</td>\n";
	echo "<td width='10px'>&nbsp;</td>\n";
	echo "<td align='center' width='6%'><b>".$locale['team_632']."</b></td>\n";
	echo "<td width='10px'>&nbsp;</td>\n";
	echo "<td align='center' width='6%'><b>".$locale['team_633']."</b></td>\n";
	echo "<td width='10px'>&nbsp;</td>\n";
	echo "<td align='center' width='6%'><b>".$locale['team_634']."</b></td>\n";
	echo "<td width='10px'>&nbsp;</td>\n";
	echo "<td align='center' width='6%'><b>".$locale['team_635']."</b></td>\n";
	echo "<td width='10px'>&nbsp;</td>\n";
	echo "<td align='center' width='6%'><b>".$locale['team_636']."</b></td>\n";
	echo "<td width='10px'>&nbsp;</td>\n";
	echo "<td align='center' width='6%'><b>".$locale['team_637']."</b></td>\n";
	echo "<td width='10px'>&nbsp;</td>\n";
	echo "<td align='center' width='10%'><b>".$locale['team_631']."</b></td>\n";
	echo "</tr></table>\n";
	echo "<hr width='50%'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='50%' align='center'>\n";
	while ($data = dbarray($result)) {
		echo "<tr>\n";
		echo "<td align='center' width='5%'><b>".$data['team_board_order']."</b></td>\n";
		echo "<td width='10px'>&nbsp;</td>\n";
		echo "<td align='left' width='54%'><b>".$data['team_board_name']."</b></td>\n";
		echo "<td align='center' width='6%'>".$data['team_board_games']."</td>\n";
		echo "<td width='10px'>&nbsp;</td>\n";
		echo "<td align='center' width='6%'>".$data['team_board_wins']."</td>\n";
		echo "<td width='10px'>&nbsp;</td>\n";
		echo "<td align='center' width='6%'>".$data['team_board_ties']."</td>\n";
		echo "<td width='10px'>&nbsp;</td>\n";
		echo "<td align='center' width='6%'>".$data['team_board_losses']."</td>\n";
		echo "<td width='10px'>&nbsp;</td>\n";
		echo "<td align='center' width='6%'>".$data['team_board_gs']."</td>\n";
		echo "<td width='10px'>&nbsp;</td>\n";
		echo "<td align='center' width='6%'>".$data['team_board_ga']."</td>\n";
		echo "<td width='10px'>&nbsp;</td>\n";
		echo "<td align='center' width='5%'>".$data['team_board_points']."</td>\n";
		echo "</tr>\n";
	}
	echo "</table>";
	echo "<hr width='50%'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='50%' align='center'><tr>\n";
	echo "<td align='center'><b>".$locale['team_632']."</b></td>\n";
	echo "<td align='left'>".$locale['team_616']."</td>\n";
	echo "<td align='center'><b>".$locale['team_636']."</b></td>\n";
	echo "<td align='left'>".$locale['team_628']."</td>\n";
	echo "<tr></tr>\n";
	echo "<td align='center'><b>".$locale['team_633']."</b></td>\n";
	echo "<td align='left'>".$locale['team_620']."</td>\n";
	echo "<td align='center'><b>".$locale['team_637']."</b></td>\n";
	echo "<td align='left'>".$locale['team_629']."</td>\n";
	echo "<tr></tr>\n";
	echo "<td align='center'><b>".$locale['team_634']."</b></td>\n";
	echo "<td align='left'>".$locale['team_622']."</td>\n";
	echo "<td align='center'><b>".$locale['team_631']."</b></td>\n";
	echo "<td align='left'>".$locale['team_602a']."</td>\n";
	echo "<tr></tr>\n";
	echo "<td align='center'><b>".$locale['team_635']."</b></td>\n";
	echo "<td align='left'>".$locale['team_624']."</td>\n";
	echo "<td align='center'></td>\n";
	echo "<td align='left'></td>\n";
	echo "</tr></table>\n";
} else {
	echo "<div style='text-align:center'>".$locale['team_551']."</div>\n";
}
closetable();
require_once THEMES."templates/footer.php";
?>