<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: teams_structure_panel.php
| Author: jikaka
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."teams_structure/infusion_db.php";
if (file_exists(INFUSIONS."teams_structure/locale/".$settings['locale'].".php")) {
	include INFUSIONS."teams_structure/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."teams_structure/locale/English.php";
}

openside($locale['team_104']);
$result = dbquery("SELECT * FROM ".DB_TEAM_BOARD." ORDER BY team_board_points DESC LIMIT 0,20");
if (dbrows($result)) {
	echo "<table cellpadding='0' cellspacing='0' width='100%'><tr>\n";
	echo "<td align='left' class='small' width='10%'></td>\n";
	echo "<td align='left' class='small' width='70%'></td>\n";
	echo "<td align='center' class='small' width='10%'><b>".$locale['team_632']."</b></td>\n";
	echo "<td width='10px'>&nbsp;</td>\n";
	echo "<td align='center' class='small' width='10%'><b>".$locale['team_631']."</b></td>\n";
	echo "</tr></table>\n";
	echo "<hr>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";
	while ($data = dbarray($result)) {
		echo "<tr>\n";
		echo "<td align='center' class='small' width='12%'>".$data['team_board_order']."</td>\n";
		echo "<td align='left' class='small' width='68%'>".$data['team_board_name']."</td>\n";
		echo "<td align='center' class='small' width='10%'>".$data['team_board_games']."</td>\n";
		echo "<td width='10px'>&nbsp;</td>\n";
		echo "<td align='center' class='small' width='10%'>".$data['team_board_points']."</td>\n";
		echo "</tr>\n";
	}
	echo "</table><br/>";
	echo "<div align='center'><a href='".INFUSIONS."teams_structure/teams_board_list.php' class='side'>".$locale['team_584']."</a></div>";
} else {
	echo "<div style='text-align:center'>".$locale['team_551']."</div>\n";
}
closeside();
?>